package digital.laboratory.platform.entrustment.service;

import digital.laboratory.platform.entrustment.vo.EntrustmentVO;

import java.util.Map;

/**
 * @author ChenJiangBao
 * @version 1.0
 * @description: 推送数据到labscare平台接口
 * @date 2025/3/27 16:32
 */
public interface PushDataToLabsCareService {

    /**
     * 推送鉴定事项确认书数据
     *
     * @param entrustVO 委托vo
     */
    void pushItemConfirmLetterData(EntrustmentVO entrustVO);

    /**
     * 推送委托函数据
     *
     * @param entrustVO
     */
    void pushEntrustLetterData(EntrustmentVO entrustVO) throws IllegalAccessException;
}
